> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismgateway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List models available to the API key



## OpenAPI

````yaml /api/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Prism API
  version: 1.0.0
  description: >-
    OpenAI-compatible chat, embeddings, image, and asynchronous video APIs with
    Prism billing and policy controls.
servers:
  - url: https://api.prismgateway.io
    description: Production
security: []
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List models available to the API key
      responses:
        '200':
          description: Models visible to the authenticated key.
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                properties:
                  object:
                    type: string
                    const: list
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - object
                        - owned_by
                      properties:
                        id:
                          type: string
                        object:
                          type: string
                          const: model
                        owned_by:
                          type: string
                          const: prism
        '401':
          description: Missing, malformed, unknown, or revoked API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '402':
          description: Credits, reservation, or organization budget prevents admission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '403':
          description: Trial, key, model, or organization policy denied the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '413':
          description: Request body exceeds the configured size limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '500':
          description: Prism or an upstream provider could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '503':
          description: The selected model or runtime is temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        default:
          description: The request could not be completed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PrismErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            action:
              type: string
              enum:
                - top_up
                - contact_org_admin
            help_url:
              type: string
              format: uri
            allowed_models:
              type: array
              items:
                type: string
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Prism API key
      description: Prism API key beginning with sk-prism-

````